% FASTA2DB(1) 1.0
%
% September 2015

# NAME

fasta2DB - create a Dazzler database from fasta files

# SYNOPSIS

**fasta2DB** [**-v**] *path:db* {**-f***file* | *input:fasta* ...}

# DESCRIPTION

Builds an initial database, or adds to an existing database, the list of
`.fasta` files following the database name argument, or if the **-f** option is
used, the list of `.fasta` files in *file*. A given `.fasta` file can only be
added once to the DB (this is checked by the command). The `.fasta` headers must
be in the "Pacbio" format (i.e. the output of the Pacbio tools or our
**dextract**(1) program) and the well, pulse interval, and read quality are
extracted from the header and kept with each read record. If the files are
being added to an existing database, and the partition settings of the DB have
already been set (see **DBsplit**(1)), then the partitioning of the database
is updated to include the new data.

# SEE ALSO

**daligner**(1)
